## org.apache.commons.math.linear
Class MatrixVisitorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.math.MathRuntimeException
                      org.apache.commons.math.linear.MatrixVisitorException

All Implemented Interfaces:
  java.io.Serializable

    public class MatrixVisitorException

extends MathRuntimeException

Thrown when a visitor encounters an error while processing a matrix entry.

Version:
  $Revision: 729673 $ $Date: 2008-12-27 15:55:12 -0500 (Sat, 27 Dec 2008) $
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Serializable version identifier

Constructor Summary
`MatrixVisitorException(java.lang.String pattern, java.lang.Object[] arguments)` Constructs a new instance with specified formatted detail message.

Method Summary

Methods inherited from class org.apache.commons.math.MathRuntimeException

`createArithmeticException, createArrayIndexOutOfBoundsException, createConcurrentModificationException, createEOFException, createIllegalArgumentException, createIllegalArgumentException, createIllegalStateException, createInternalError, createIOException, createNoSuchElementException, createNullPointerException, createParseException, getArguments, getLocalizedMessage, getMessage, getMessage, getPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier

  See Also:
    Constant Field Values

Constructor Detail

### MatrixVisitorException

    public MatrixVisitorException(java.lang.String pattern,
                                  java.lang.Object[] arguments)

  Constructs a new instance with specified formatted detail message.

  Parameters:
    `pattern` - format specifier
    `arguments` - format arguments

Copyright (c) 2003-2010 Apache Software Foundation